# pds.api-client
PDS API for managing DOI registration with OSTI service.

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1
- Package version: 0.3.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pds.api_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pds.api_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import pds.api_client
from pds.api_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost:8080/PDS_APIs/pds_doi_api/0.1
# See configuration.py for a list of all supported configuration parameters.
configuration = pds.api_client.Configuration(
    host = "http://localhost:8080/PDS_APIs/pds_doi_api/0.1"
)



# Enter a context with an instance of the API client
with pds.api_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = pds.api_client.DoisApi(api_client)
    submitter = 'submitter_example' # str | The email address of the user to register as author of the check action. This address is also included in the list of recipients.
email = False # bool | If true, the check action sends results to the default recipients and pending DOI submitters. (optional) (default to False)
attachment = False # bool | If true, the check action sends results as an email attachment. Has no effect if the email flag is not set to true. (optional) (default to False)

    try:
        api_response = api_instance.get_check_dois(submitter, email=email, attachment=attachment)
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling DoisApi->get_check_dois: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:8080/PDS_APIs/pds_doi_api/0.1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DoisApi* | [**get_check_dois**](docs/DoisApi.md#get_check_dois) | **GET** /dois/check | 
*DoisApi* | [**get_doi_from_id**](docs/DoisApi.md#get_doi_from_id) | **GET** /dois/{lidvid} | 
*DoisApi* | [**get_dois**](docs/DoisApi.md#get_dois) | **GET** /dois | 
*DoisApi* | [**post_dois**](docs/DoisApi.md#post_dois) | **POST** /dois | 
*DoisApi* | [**post_submit_doi**](docs/DoisApi.md#post_submit_doi) | **POST** /dois/{lidvid}/submit | 
*DoisApi* | [**put_doi_from_id**](docs/DoisApi.md#put_doi_from_id) | **PUT** /dois/{lidvid} | 


## Documentation For Models

 - [DoiRecord](docs/DoiRecord.md)
 - [DoiRecordAllOf](docs/DoiRecordAllOf.md)
 - [DoiSummary](docs/DoiSummary.md)
 - [LabelPayload](docs/LabelPayload.md)
 - [LabelsPayload](docs/LabelsPayload.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author




